% eegplugin_bvaimport() - EEGLAB plugin for importing Brainvision 
%                         .vhdr data files.
%
% Usage:
%   >> eegplugin_bvaimport(fig, trystrs, catchstrs);
%
% Inputs:
%   fig        - [integer]  EEGLAB figure
%   trystrs    - [struct] "try" strings for menu callbacks.
%   catchstrs  - [struct] "catch" strings for menu callbacks.
%
% Author: Andreas Widmann for binary import, 2004
%         Arnaud Delorme for Matlab import and EEGLAB interface
%
% See also: pop_loadbv()

%123456789012345678901234567890123456789012345678901234567890123456789012

% Copyright (C) 2004 Andreas Widmann & Arnaud Delorme
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

% $Log: eegplugin_bvaimport.m,v $
% Revision 1.1  2004/04/02 17:18:02  arnodelorme
% EEGLAB plugin file
%

function vers = eegplugin_bvaimport(fig, trystrs, catchstrs)

    vers = 'bvaimport1.00';
    if nargin < 3
        error('eegplugin_bvaimport requires 3 arguments');
    end;
    
    % add folder to path
    % ------------------
    if ~exist('ctf_read_markerfile')
        p = which('eegplugin_bvaimport.m');
        p = p(1:findstr(p,'eegplugin_bvaimport.m')-1);
        addpath( p );
    end;
    
    % find import data menu
    % ---------------------
    menu = findobj(fig, 'tag', 'import data');
    
    % menu callbacks
    % --------------
    comcnt1 = [ trystrs.no_check '[EEGTMP LASTCOM] = pop_loadbv;' catchstrs.new_non_empty ];
	comcnt2 = [ trystrs.no_check '[EEGTMP LASTCOM] = pop_loadbva;' catchstrs.new_non_empty ];
    
    % create menus
    % ------------
    uimenu( menu, 'label', 'From Brain Vis. Anal. .vhdr file',  'callback', comcnt1, 'separator', 'on' );
    uimenu( menu, 'label', 'From Brain Vis. Anal. Matlab file', 'callback', comcnt2 );
