function [eeg] = read_eep_cnt(fn);

% READ_EEP_CNT reads continuous EEG data from an EEProbe *.cnt file
% and returns a structure containing the header and data information.
%
% eeg = read_eep_cnt(filename, sample1, sample2)
%
% where sampel1 and sample2 are the begin and end sample of the data
% to be read.
%
% eeg.label    ... labels of EEG channels
% eeg.rate     ... sampling rate
% eeg.npnt     ... number of sample in data segment
% eeg.nchan    ... number of channels
% eeg.nsample  
% eeg.time     ... array [1 x npnt] of time points (ms)
% eeg.data     ... array [nchan x npnt] containing eeg data (uV) 
%
% See also READ_EEP_TRG, READ_EEP_REJ, READ_EEP_AVR
%
% ANT Software BV, Netherlands, www.ant-software.nl

% Copyright (C) 2002, Robert Oostenveld
%
% $Log: read_eep_cnt.m,v $
% Revision 1.2  2003/03/11 15:24:51  roberto
% updated help and copyrights
%

error('could not locate mex file');
